%define name 	linphone
%define version 2.1.1
%define release %mkrel 2

%define linphone_major	2
%define mediastreamer_major  0
%define ortp_major  7
%define libname_linphone %mklibname %name %linphone_major
%define libname_mediastreamer %mklibname mediastreamer %mediastreamer_major
%define libname_ortp %mklibname ortp %mediastreamer_major
%define libname_devel %mklibname -d %name

# for built in ortp
%define _disable_ld_no_undefined 1

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Voice over IP Application
License: 	GPLv2+
Group: 		Communications
URL: 		http://www.linphone.org/
Source0:	http://download.savannah.gnu.org/releases/linphone/stable/sources/linphone-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/linphone/stable/sources/linphone-%{version}.tar.gz.sig
Source2:	%{name}48.png
Source3:	%{name}32.png
Source4:	%{name}16.png
Patch0:         linphone-2.1.0-imagedir.patch
Patch1:		linphone-2.1.0-ni_maxhost_hack.patch
Patch2:		linphone-2.1.0-no_werror.patch
Patch3:		linphone-2.1.1-newffmpeg.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	SDL-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	jackit-devel
BuildRequires:	libosip2-devel >= 3.0.3
BuildRequires:	exosip-devel >= 3.0.3
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	libreadline-devel
BuildRequires:	libspeex-devel
BuildRequires:	ncurses-devel
BuildRequires:	intltool
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname_linphone}
Summary:        Primary library for %name
Group:          System/Libraries

%description -n %{libname_linphone}
Primary library for %name.

%package -n     %{libname_mediastreamer}
Summary:        Media Streaming library for %name
Group:          System/Libraries

%description -n %{libname_mediastreamer}
Media Streaming library for %name.

%package -n     %{libname_ortp}
Summary:        ORTP library for %name
Group:          System/Libraries
Conflicts:      %mklibname ortp 2

%description -n %{libname_ortp}
ORTP library for %name.

%package -n     %{libname_devel}
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname_linphone} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Obsoletes:      %mklibname -d %{name} 1
Conflicts:	%mklibname -d ortp 2
Provides:	libortp-devel = %{version}-%{release}
Provides:	ortp-devel = %{version}-%{release}

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
libtoolize --copy --force
aclocal -I m4
autoheader
automake --force-missing --add-missing --copy
autoconf
rm -rf config.cache

pushd mediastreamer2
libtoolize --copy --force
aclocal -I ../m4
autoheader
automake --force-missing --add-missing --copy
autoconf
popd

%configure2_5x \
    --enable-alsa \
    --disable-strict

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %name

sed -i s/.png// %{buildroot}%{_datadir}/applications/linphone.desktop
desktop-file-install \
	--vendor="" \
	--add-category="VideoConference" \
	--remove-category='Application' \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/linphone.desktop

#icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{_sourcedir}/linphone16.png \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/linphone2.png
install -m 644 %{_sourcedir}/linphone32.png \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/linphone2.png
install -m 644 %{_sourcedir}/linphone48.png \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/linphone2.png
mkdir -p %{buildroot}/%_miconsdir
ln -s ../hicolor/16x16/apps/linphone2.png \
      %{buildroot}/%_miconsdir/
mkdir -p %{buildroot}/%_iconsdir
ln -s hicolor/32x32/apps/linphone2.png \
      %{buildroot}/%_iconsdir/
mkdir -p %{buildroot}/%_liconsdir
ln -s ../hicolor/48x48/apps/linphone2.png \
      %{buildroot}/%_liconsdir/

%multiarch_includes %{buildroot}%{_includedir}/linphone/config.h

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/ortp

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{libname_linphone} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname_linphone} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname_mediastreamer} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname_mediastreamer} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libname_ortp} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname_ortp} -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %_datadir/gnome/help/%name
%_bindir/linphone*
%_bindir/sipomatic
%_libdir/mediastream
%_mandir/man1/*
%lang(cs) %_mandir/cs/man1/*
%_datadir/pixmaps/%name
%_datadir/sounds/%name
%_datadir/gnome/apps/Internet/%name.desktop
%{_datadir}/images/linphone/nowebcamCIF.jpg
%_datadir/applications/*
%{_iconsdir}/hicolor/*/apps/linphone2.png
%{_liconsdir}/linphone2.png
%{_iconsdir}/linphone2.png
%{_miconsdir}/linphone2.png

%files -n %{libname_linphone}
%defattr(-,root,root)
%{_libdir}/liblinphone.so.%{linphone_major}*

%files -n %{libname_mediastreamer}
%defattr(-,root,root)
%{_libdir}/libmediastreamer.so.%{mediastreamer_major}*

%files -n %{libname_ortp}
%defattr(-,root,root)
%{_libdir}/libortp.so.%{ortp_major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%dir %{_includedir}/linphone
%dir %{_includedir}/ortp
%multiarch %{multiarch_includedir}/linphone/config.h
%{_includedir}/linphone/*
%{_includedir}/mediastreamer2/*
%{_includedir}/ortp/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2009.0
+ Revision: 229665
- fix deps

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fundawang@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 212680
- BR intltool
- New version 2.1.1
- add patch from fedora
- add patch for new ffmpeg header locations

* Fri Feb 22 2008 Colin Guthrie <cguthrie@mandriva.org> 2.1.0-2mdv2008.1
+ Revision: 173794
- Fix libification

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 160987
- new version
- configure 2.5

  + Colin Guthrie <cguthrie@mandriva.org>
    - Add libeXosip2 to BuildRequires
    - Undo BuildRequire "fix" that was incorrect.
    - Fix build requires (libosip2-devel not libosip-devel)
    - Comply with new library policy
    - Remove old patches
    - Fix .desktop icon extension
    - Upgrade to 2.0.1 (for libosip2-3.x)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix libosip-devel BR, reverting bogus change
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-4mdv2008.0
+ Revision: 56018
- Replaced docbook-utils buildrequire with gtk-doc.

* Wed Jul 25 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-3mdv2008.0
+ Revision: 55490
- Added missing BuildRequires for docbook-utils.

* Tue Jul 24 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-2mdv2008.0
+ Revision: 55044
- Fixes for ticket #27731:
  * help contents aren't shown when you click on help menu.
  * possibly missing icons, added compatibility symlinks for some icon
    directories.

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-1mdv2008.0
+ Revision: 38894
- Added BuildRequires for desktop-file-utils.
- Removed some now uneeded BuildRequires.
- Build fixes.
- Updated to version 1.7.1.
- Removed old menu, switch to freedesktop icon scheme.

* Mon May 07 2007 Lenny Cartier <lenny@mandriva.org> 1.6.0-3mdv2008.0
+ Revision: 24006
- Fix xdg
- Fix menu section (Bug #15268)


* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 1.6.0-1mdv2007.0
+ Revision: 113350
- Update to 1.6.0

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.1-1mdv2007.1
+ Revision: 101492
- 1.5.1
- patch0: fix a compilation warning on ppc

* Tue Oct 31 2006 Stefan van der Eijk <stefan@mandriva.org> 1.5.0-1mdv2007.1
+ Revision: 74402
- 1.5.0
- Import linphone

* Thu Mar 09 2006 Austin Acton <austin@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- mutliarch fixes

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- fix deps

* Tue Jan 31 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.0-5mdk
- add BuildRequires: docbook-dtd30-sgml

* Fri Jan 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.0-4mdk
- add BuildRequires: libspeex-devel docbook-dtd41-sgml

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdk
- rebuilt against openssl-0.9.8a
- added some lib64 fixes

* Thu Sep 01 2005 Austin Acton <austin@mandriva.org> 1.1.0-2mdk
- fix menu

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 1.1.0-1mdk
- 1.1.0
- fix source URL

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-1mdk
- final 1.0.0

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.2mdk
- fix botched upload

* Thu Feb 10 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.1mdk
- 1.0.0pre8
- add libs
- configure 2.5

* Thu Jul 15 2004 Michael Reinsch <mr@uue.org> 0.12.2-3mdk
- rebuild again for fixed alsa which broke broken alsa

* Tue Jun 22 2004 Michael Reinsch <mr@uue.org> 0.12.2-2mdk
- rebuild for new alsa

* Sat Apr 24 2004 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-1mdk
- 0.12.2
- BuildRequires perl-XML-Parser (temp)

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.12.1-2mdk
- Fix menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.12.1-1mdk
- 0.12.1
- fix buildrequires

